Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: nodes.devices.updateSigned
Koleksiyonlar ile düzeninizi koruyun
İçeriği tercihlerinize göre kaydedin ve kategorilere ayırın.
İmzalı bir device dosyasını günceller.
HTTP isteği
PATCH https://sasportal.googleapis.com/v1alpha1/{name=nodes/*/devices/*}:updateSigned
URL, gRPC Kod Dönüştürme söz dizimini kullanır.
Yol parametreleri
| Parametreler |
name |
string
Zorunlu. Güncellenecek cihazın adı.
|
İstek içeriği
İstek metni aşağıdaki yapıyla birlikte verileri içerir:
| JSON gösterimi |
{
"encodedDevice": string,
"installerId": string
} |
| Alanlar |
encodedDevice |
string (bytes format)
Zorunlu. CPI özel anahtarı kullanılarak imzalanmış JSON Web Jetonu. Yük, device öğesinin JSON kodlaması olmalıdır. Base64 kodlu bir dize.
|
installerId |
string
Zorunlu. Sertifikalı profesyonel yükleyiciler veritabanındaki benzersiz yükleyici kimliği (YBM kimliği).
|
Yanıt gövdesi
Başarılıysa yanıt metni, Device öğesinin bir örneğini içerir.
Yetkilendirme Kapsamları
Aşağıdaki OAuth kapsamını gerektirir:
https://www.googleapis.com/auth/userinfo.email
Aksi belirtilmediği sürece bu sayfanın içeriği Creative Commons Atıf 4.0 Lisansı altında ve kod örnekleri Apache 2.0 Lisansı altında lisanslanmıştır. Ayrıntılı bilgi için Google Developers Site Politikaları'na göz atın. Java, Oracle ve/veya satış ortaklarının tescilli ticari markasıdır.
Son güncelleme tarihi: 2025-07-25 UTC.
[[["Anlaması kolay","easyToUnderstand","thumb-up"],["Sorunumu çözdü","solvedMyProblem","thumb-up"],["Diğer","otherUp","thumb-up"]],[["İhtiyacım olan bilgiler yok","missingTheInformationINeed","thumb-down"],["Çok karmaşık / çok fazla adım var","tooComplicatedTooManySteps","thumb-down"],["Güncel değil","outOfDate","thumb-down"],["Çeviri sorunu","translationIssue","thumb-down"],["Örnek veya kod sorunu","samplesCodeIssue","thumb-down"],["Diğer","otherDown","thumb-down"]],["Son güncelleme tarihi: 2025-07-25 UTC."],[],["This document details updating a signed device via a PATCH request to a specific URL: `https://sasportal.googleapis.com/v1alpha1/{name=nodes/*/devices/*}:updateSigned`. The request requires a device `name` as a path parameter. The request body, in JSON format, must include a base64-encoded `encodedDevice` string (a signed JSON Web Token) and an `installerId` string. A successful update returns a Device instance. The operation requires the OAuth scope `https://www.googleapis.com/auth/userinfo.email`.\n"]]